Loading...
Searching...
No Matches
CBotFileAccessHandlerColobot Class Reference
Inheritance diagram for CBotFileAccessHandlerColobot:
[legend]

## Public Member Functions

virtual std::unique_ptr< CBotFile > | OpenFile (const std::string &filename, OpenMode mode) override
virtual bool | DeleteFile (const std::string &filename) override

## Additional Inherited Members

Public Types inherited from CBot::CBotFileAccessHandler
enum class | OpenMode : char { Read = 'r' , Write = 'w' , Append = 'a' }

## Member Function Documentation

## OpenFile()

virtual std::unique_ptr< CBotFile > CBotFileAccessHandlerColobot::OpenFile | ( | const std::string & | filename,
|  | OpenMode | mode )

inline override virtual

Implements CBot::CBotFileAccessHandler.

## DeleteFile()

virtual bool CBotFileAccessHandlerColobot::DeleteFile | ( | const std::string & | filename | ) |

inline override virtual

Implements CBot::CBotFileAccessHandler.

The documentation for this class was generated from the following file:

- src/script/scriptfunc.cpp